Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server
Class ServerInvocation

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.server.ServerInvocation

    public class ServerInvocation

extends Invocation

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`static Scope` | `PRINCIPAL_SCOPE` .
`static Scope` | `REQUEST_SCOPE` .
`static Scope` | `SESSION_SCOPE` .

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`ServerInvocation(ServerInvocationContext ctx)`

Method Summary
`InvocationContext` | `getContext()` Return the invocation context or throw IllegalStateException.
`ServerRequest` | `getRequest()`
`ServerResponse` | `getResponse()`
`ServerInvocationContext` | `getServerContext()`
`void` | `setRequest(ServerRequest req)`
`void` | `setResponse(ServerResponse resp)`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRINCIPAL_SCOPE

    public static final Scope PRINCIPAL_SCOPE

  .

### SESSION_SCOPE

    public static final Scope SESSION_SCOPE

  .

### REQUEST_SCOPE

    public static final Scope REQUEST_SCOPE

  .

Constructor Detail

### ServerInvocation

    public ServerInvocation(ServerInvocationContext ctx)

Method Detail

### getServerContext

    public ServerInvocationContext getServerContext()

### getContext

    public InvocationContext getContext()

  Description copied from class: `Invocation`
  Return the invocation context or throw IllegalStateException.

  Specified by:
    `getContext` in class `Invocation`
  Returns:
    the invocation context

### getRequest

    public ServerRequest getRequest()

### setRequest

    public void setRequest(ServerRequest req)

### getResponse

    public ServerResponse getResponse()

### setResponse

    public void setResponse(ServerResponse resp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD